## org.apache.myfaces.portlet
Class PortletUtil

    java.lang.Object
      org.apache.myfaces.portlet.PortletUtil

public class PortletUtil
extends java.lang.Object

Static utility class for portlet-related operations.

Author:
  Stan Silvert

Field Summary
`static java.lang.String` `PORTLET_REQUEST_FLAG` This flag is imbedded in the request.

Method Summary
`static boolean` `isPortletRequest(javax.faces.context.FacesContext facesContext)` Determine if we are running as a portlet.
`static boolean` `isRenderResponse(javax.faces.context.FacesContext facesContext)` Determine if we are processing a portlet RenderResponse.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PORTLET_REQUEST_FLAG

    public static final java.lang.String PORTLET_REQUEST_FLAG

  This flag is imbedded in the request. It signifies to MyFaces that the request is coming from a portlet.

Method Detail

### isRenderResponse

    public static boolean isRenderResponse(javax.faces.context.FacesContext facesContext)

  Determine if we are processing a portlet RenderResponse.

  Parameters:
    `facesContext` - The current FacesContext.
  Returns:
    `true` if we are processing a RenderResponse, `false` otherwise.

### isPortletRequest

    public static boolean isPortletRequest(javax.faces.context.FacesContext facesContext)

  Determine if we are running as a portlet.

  Parameters:
    `facesContext` - The current FacesContext.
  Returns:
    `true` if we are running as a portlet, `false` otherwise.